ARP(8)

NUME
arp - manipulează memoria cache ARP a sistemului

SINOPSIS
arp [-vn] [-H tip] [-i interfață] [-ae] [nume-gazdă]

arp [-v] [-i interfață] -d nume-gazdă [pub]

arp [-v] [-H tip] [-i interfață] -s nume-gazdă adresă_hw [temp]

arp [-v] [-H tip] [-i interfață] -s nume-gazdă adresă_hw [netmask mască-de-rețea] pub

arp [-v] [-H tip] [-i interfață] -Ds nume-gazdă nume-interfață [netmask mască-de-rețea] pub

arp [-vnD] [-H tip] [-i interfață] -f [nume-fișier]

DESCRIERE
Arp manipulează sau afișează memoria cache a vecinilor de rețea IPv4 a nucleului. Acesta poate adăuga intrări în tabel, poate șterge una sau poate afișa conținutul curent.

ARP înseamnă Address Resolution Protocol (protocol de rezolvare a adreselor), care este utilizat pentru a găsi adresa de control al accesului media a unui vecin de rețea pentru o anumită adresă IPv4.

MODURI
arp fără specificator de mod va imprima conținutul curent al tabelului. Este posibilă limitarea numărului de intrări afișate, prin specificarea unui tip de adresă hardware, a unui nume de interfață sau a unei adrese gazdă.

arp -d adresa va șterge o intrare din tabelul ARP. Pentru a face acest lucru, este nevoie de privilegii de root sau netadmin. Intrarea se găsește după adresa IP. Dacă este dat un nume de gazdă, acesta va fi rezolvat înainte de a căuta intrarea în tabelul ARP.

arp -s nume-gazdă adresă_hw se utilizează pentru a configura o nouă intrare în tabel. Formatul parametrului hw_addr depinde de clasa hardware, dar pentru majoritatea claselor se poate presupune că se poate folosi prezentarea obișnuită. Pentru clasa Ethernet, acesta este format din 6 octeți în hexazecimal, separați prin două puncte. Atunci când se adaugă intrări arp proxy (adică cele cu fanionul public activat), se poate specifica o netmask (mască-de-rețea) pentru proxy arp pentru subrețele întregi. Aceasta nu este o practică bună, dar este acceptată de nucleele mai vechi deoarece poate fi utilă. În cazul în care nu se furnizează fanionul temp, intrările vor fi stocate permanent în memoria cache ARP. Pentru a simplifica configurarea intrărilor pentru una dintre propriile interfețe de rețea, puteți utiliza forma arp -Ds adresa nume-interfață. În acest caz, adresa hardware este preluată de la interfața cu numele specificat.

OPȚIUNI

-v, --verbose
    Informează utilizatorul despre ceea ce se întâmplă, afișând mesaje detaliate.

-n, --numeric
    afișează adrese numerice în loc să încerce să determine nume simbolice de gazdă, port sau utilizator.

-H tip, --hw-type tip, -t tip
    La setarea sau citirea memoriei cache ARP, acest parametru opțional îi indică lui arp ce clasă de intrări trebuie să verifice. Valoarea implicită a acestui parametru este ether (de exemplu, codul hardware 0x01 pentru IEEE 802.3 10Mbps Ethernet). Alte valori pot include tehnologii de rețea precum ARCnet (arcnet) , PROnet (pronet) , AX.25 (ax25) și NET/ROM (netrom).

-a  Utilizează un format de ieșire alternativ de tip BSD (fără coloane fixe).

-e  Utilizează formatul de ieșire în stilul implicit Linux (cu coloane fixe).

-D, --use-device
    În loc de o adresă_hw, argumentul dat este numele unei interfețe. arp va utiliza adresa MAC a interfeței respective pentru intrarea în tabel. Aceasta este, de obicei, cea mai bună opțiune pentru a configura o intrare ARP proxy către dvs.

-i interfață, --device interfață
    Selectează o interfață. Când se descarcă memoria cache ARP, vor fi afișate numai intrările care corespund interfeței specificate. Atunci când se stabilește o intrare ARP permanentă sau temp, această interfață va fi asociată cu intrarea; dacă această opțiune nu este utilizată, nucleul va ghici pe baza tabelului de direcționare. Pentru intrările pub, interfața specificată este interfața pe care se va răspunde la cererile ARP.
    NOTĂ: Aceasta trebuie să fie diferită de interfața către care vor fi direcționate datagramele IP. NOTĂ: Începând cu nucleul 2.2.0 nu mai este posibilă stabilirea unei intrări ARP pentru o întreagă subrețea. În schimb, Linux face automat proxy arp atunci când există o rută și aceasta este redirecționată. Consultați arp(7) pentru detalii. De asemenea, opțiunea dontpub, care este disponibilă pentru operațiile de ștergere și definire, nu mai poate fi utilizată cu nucleele 2.4 și mai noi.

-f nume-fișier, --file nume-fișier
    Similară opțiunii -s, numai că de data aceasta informațiile despre adresă sunt preluate din fișierul nume-fișier. Această opțiune poate fi utilizată în cazul în care trebuie configurate intrări ARP pentru o mulțime de gazde. Numele fișierului de date este foarte des /etc/ethers, dar acesta nu este oficial. Dacă nu se specifică niciun nume de fișier /etc/ethers este utilizat în mod implicit.

    Formatul fișierului este simplu; acesta conține doar linii de text ASCII cu un nume de gazdă și o adresă hardware separate prin spații albe. În plus, se pot utiliza fanioanele pub, temp și netmask.

În toate locurile în care se așteaptă un nume-de-gazdă, se poate introduce, de asemenea, o adresă IP în notație zecimală punctată.

Ca un caz special de compatibilitate, ordinea numelui de gazdă și a adresei hardware poate fi schimbată.

Fiecare intrare completă în memoria cache ARP va fi marcată cu fanionul C. Intrările permanente sunt marcate cu M, iar intrările publicate au marcajul P.

EXEMPLE
/usr/sbin/arp -i eth0 -Ds 10.0.0.2 eth1 pub

Aceasta va răspunde la cererile ARP pentru 10.0.0.2 pe eth0 cu adresa MAC pentru eth1.

/usr/sbin/arp -i eth1 -d 10.0.0.1

Șterge intrarea din tabela ARP pentru 10.0.0.0.1 pe interfața eth1. Acest lucru se va potrivi cu intrările ARP proxy publicate și cu intrările permanente.

FIȘIERE
/proc/net/arp
/etc/networks
/etc/hosts
/etc/ethers

CONSULTAȚI ȘI
ethers(5), rarp(8), route(8), ifconfig(8), netstat(8)

AUTORI
Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>, Bernd Eckenfels <net-tools@lina.inka.de>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.